groovy.inspect.swingui

## Class TableMap

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - groovy.inspect.swingui.TableMap

All Implemented Interfaces:
  Serializable, EventListener, TableModelListener, TableModel

Direct Known Subclasses:
  TableSorter

    public class TableMap
    extends AbstractTableModel
    implements TableModelListener

See Also:
  Serialized Form

### Field Summary

Fields
`protected TableModel` `model`

### Fields inherited from class javax.swing.table.AbstractTableModel

`listenerList`

### Constructor Summary

Constructors
Constructor and Description
`TableMap()`

### Method Summary

Methods
`Class` `getColumnClass(int aColumn)`
`int` `getColumnCount()`
`String` `getColumnName(int aColumn)`
`TableModel` `getModel()`
`int` `getRowCount()`
`Object` `getValueAt(int aRow, int aColumn)`
`boolean` `isCellEditable(int row, int column)`
`void` `setModel(TableModel model)`
`void` `setValueAt(Object aValue, int aRow, int aColumn)`
`void` `tableChanged(TableModelEvent e)`

### Methods inherited from class javax.swing.table.AbstractTableModel

`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### model

    protected TableModel model

### Constructor Detail

#### TableMap

    public TableMap()

### Method Detail

#### getModel

    public TableModel getModel()

#### setModel

    public void setModel(TableModel model)

#### getValueAt

    public Object getValueAt(int aRow,
                    int aColumn)

Specified by:
  `getValueAt` in interface `TableModel`

#### setValueAt

    public void setValueAt(Object aValue,
                  int aRow,
                  int aColumn)

Specified by:
  `setValueAt` in interface `TableModel`
Overrides:
  `setValueAt` in class `AbstractTableModel`

#### getRowCount

    public int getRowCount()

Specified by:
  `getRowCount` in interface `TableModel`

#### getColumnCount

    public int getColumnCount()

Specified by:
  `getColumnCount` in interface `TableModel`

#### getColumnName

    public String getColumnName(int aColumn)

Specified by:
  `getColumnName` in interface `TableModel`
Overrides:
  `getColumnName` in class `AbstractTableModel`

#### getColumnClass

    public Class getColumnClass(int aColumn)

Specified by:
  `getColumnClass` in interface `TableModel`
Overrides:
  `getColumnClass` in class `AbstractTableModel`

#### isCellEditable

    public boolean isCellEditable(int row,
                         int column)

Specified by:
  `isCellEditable` in interface `TableModel`
Overrides:
  `isCellEditable` in class `AbstractTableModel`

#### tableChanged

    public void tableChanged(TableModelEvent e)

Specified by:
  `tableChanged` in interface `TableModelListener`